Security Announcements

MSA-14-0011: Cross site request forgery potential in IMS enrolments

 
 
My ugly mug
MSA-14-0011: Cross site request forgery potential in IMS enrolments
 
Description: There was inadequate session checking when triggering the import of IMS Enterprise identities.
Issue summary: Cross Site Request Forgery in enrol/imsenterprise/importnow.php
Severity/Risk: Serious
Versions affected: 2.6 to 2.6.1, 2.5 to 2.5.4, 2.4 to 2.4.8 and earlier unsupported versions
Versions fixed: 2.6.2, 2.5.5 and 2.4.9
Reported by: Tyler William Thomas
Issue no.: MDL-43146
CVE identifier: CVE-2014-0126
Changes (master): http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-43146